<template include="./plugin/hfdr_umbbs/overwrite/view/htm/my.common.template.htm">
	<slot name="my_body">
<div class="card1 card-threadlist border-1">
			<div class="col-md-06">
			<div class="col-md-07">
            <form action="<?php echo url('my-citru_signature');?>" method="post" id="form">

                <p class="input-group-1">

                    <textarea class="form-control" placeholder="我的签名" name="signature" id="signature" rows="5"><?php echo $user['signature']; ?></textarea>

                </p>

                <p>

                    <button type="submit" class="btn-primary btn-6-1 btn-secondary" id="submit" data-loading-text="<?php echo lang('submiting');?>...">提交</button>

                </p>

            </form>

        </div>

    </div>

</div>


</slot>
</template>

<script src="<?php echo $conf['view_url'];?>js/md5.js"></script>
<script>
$('a[data-active="my-signature"]').addClass('active');
</script>
<script>
$('li[data-active="fid-00"]').addClass('active');
</script>


<script>



    var jform = $('#form');

    var jsubmit = $('#submit');

    jform.on('submit', function() {

        jform.reset();

        jsubmit.button('loading');

        var postdata = jform.serializeObject();



        $.xpost(jform.attr('action'), postdata, function(code, message) {

            if(code == 0) {

                $.alert(message);

                jsubmit.button(message).delay(1000).button('reset');

                setTimeout("history.back(-1);location.reload()",1000);

            } else if(code < 0) {

                $.alert(message);

                jsubmit.button('reset');

            } else {

                jform.find('[name="'+code+'"]').alert(message).focus();

                jsubmit.button('reset');

            }

        });

        return false;

    });

</script>


